### Function

# Camel URL decode

#### Declaration [src]

    void
    camel_url_decode (
      gchar* part
    )

#### Description [src]

%-decodes the passed-in URL in place. The decoded version is never longer than the encoded version, so there does not need to be any additional space at the end of the string.

#### Parameters

`part`

  Type: `gchar*`

  A URL part.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.